# Upload Evidences

Uploads verification evidence for a specific profile.

The request body varies significantly between Personal and Business profiles.

Submitting an evidence that was already uploaded will result in an attempt to update the evidence.

Endpoint: POST /v5/profiles/{profileId}/additional-verification/upload-evidences
Security: UserToken

## Path parameters:

  - `profileId` (integer, required)
    The unique identifier of the profile.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
    Example: "f47ac10b-58cc-4372-a567-0e02b2c3d479"

## Request fields (application/json):

  - `body` (object, required) — one of:
    - Personal Profile:
      - `accountPurpose` (string)
        The primary reason for using the account.
        Enum: "MOVING_SAVINGS", "SENDING_MONEY_TO_FRIENDS_OR_FAMILY", "GENERAL_LIVING_EXPENSES", "BUYING_GOODS_OR_SERVICES_ABROAD", "PAYING_FOR_MORTGAGE_OR_LOAN", "PAYING_BILLS", "RECEIVING_SALARY_OR_PENSION", "INVESTING"
      - `accountPurposeExplanation` (string)
        Additional reasons and specific examples for using Wise account. This is a free-text field.
      - `intendedCountries` (array)
        List of ISO 3166-1 alpha-3 country codes.
Check the [lists of countries you can send money to with Wise](https://wise.com/help/articles/2571942/what-countries-can-i-send-to).
        Example: ["deu","esp"]
      - `yearlyAnticipatedVolume` (string)
        Expected yearly transaction volume in Euros.
        Enum: "0_2350", "2351_6000", "6001_11500", "11501_60000", "60001_175000", "175001_+"
      - `mainSourceOfIncome` (string)
        Primary source of income. Must be submitted with annualIncome.
        Enum: "SALARY", "INVESTMENTS", "PENSION", "INHERITANCE", "LOAN", "OTHER"
      - `annualIncome` (string)
        Expected annual income in Euros. Must be submitted with mainSourceOfIncome.
        Enum: "0_11500", "11501_19000", "19001_28500", "28501_47500", "47501_75000", "75001_+"
      - `incomeExplanation` (string)
        Additional ways you earn money that were not identified in the provided documents. This is a free-text field.
    - Business Profile:
      - `businessUseCase` (array)
        How the business intends to use the platform.
        Enum: "INVESTING_IN_FUNDS_STOCKS_BONDS_OR_SIMILAR", "DISTRIBUTING_COMPANY_PROFITS_OR_PAYING_DIVIDENDS", "PAYING_MORTGAGE_BANK_LOAN_INSURANCE_OR_CREDIT", "PAYING_FOR_GOODS_PROPERTIES_OR_SERVICES_ABROAD", "PAYING_RENT_OR_UTILITIES", "PAYING_SUPPLIERS_CONTRACTORS_OR_EMPLOYEES", "PAYING_TAX_ON_PROFIT_OR_PROPERTY", "TRANSFER_WITHIN_COMPANY_OR_GROUP", "RECEIVE_INVESTMENTS_OR_FUNDS", "RECEIVE_PAYMENTS_FROM_CLIENTS", "DONATION", "OTHER"
      - `intendedCountries` (array)
        List of ISO 3166-1 alpha-3 country codes.
Check the [lists of countries you can send money to with Wise](https://wise.com/help/articles/2571942/what-countries-can-i-send-to).
        Example: ["deu","esp"]
      - `mainSourceOfFunding` (string)
        Primary source of business funding.
        Enum: "REVENUE", "BUSINESS_LOAN", "FUNDING_AND_SHAREHOLDER_INVESTMENTS", "INVESTMENT_INCOME", "DONATIONS", "GRANTS", "OTHER"
      - `monthlyAnticipatedVolume` (string)
        Expected monthly transaction volume in Euros.
        Enum: "0_1200", "1201_6000", "6001_12000", "12001_60000", "60001_120000", "120001_235000", "235001_600000", "600001_1200000", "1200001_6000000", "6000001_12000000", "12000001_+"

## Response 207 fields (application/json):

  - `overallStatus` (string)
    Status of the entire request.
    Enum: "SUCCESS", "PARTIAL_SUCCESS", "FAIL"

  - `results` (array)
    Results for each evidence.

  - `results.evidenceRequirementKey` (string)
    Name of the evidence.

  - `results.result` (string)
    Result for the evidence.
    Enum: "SUCCESS", "FAIL"

  - `results.message` (string)
    Explanation of result for the evidence.


## Response 400 fields

## Response 403 fields
